6.9.2

# scsohlog

Connect to the messaging and collect all information sent from connected clients.

## Description

scsohlog connects to the messaging and collects all information sent from connected clients. It creates an XML file and writes that to disc at a configurable interval. That output can be read by any consumer and converted to the desired output.

## Example

Create an output XML file every 60 seconds and execute a custom script to process that XML file.

    #!/bin/sh
    scsohlog -o stat.xml -i 60 --script process-stat.sh

You can also preconfigure these values:

    monitor.output.file = /path/to/stat.xml
    monitor.output.interval = 60
    monitor.output.script = /path/to/script.sh

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scsohlog.cfg`
`etc/global.cfg`
`etc/scsohlog.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scsohlog.cfg`

scsohlog inherits global options.

monitor.output.interval

  Default: `60`

  Type: uint

  Unit: s

  The output interval in seconds.

monitor.output.file

  Default: `@LOGDIR@/server.xml`

  Type: string

  The output XML file.

monitor.output.script

  Type: string

  The script to execute. Example: @CONFIGDIR@/scripts/scsohlog_script.sh.

## Command-Line Options

scsohlog [options]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

-D, --daemon

  Run as daemon. This means the application will fork itself and doesn’t need to be started with &.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

--start-stop-msg arg

  Set sending of a start and a stop message.

### Output

-o, --file file

  The output XML file.

-i, --interval arg

  The output interval in seconds.

--script arg

  The script to execute. Example: path/scsohlog_script.sh.